Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [pip]

PIP is a tool for installing and managing Python packages. This topic covers issues installing packages from repositories with PIP.

2
votes
1answer
32 views

Got compilation error when installing plyvel

I got an error while trying to install plyvel on my raspberry (pi 3 B+) with sudo pip install plyvel : Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple Collecting plyvel ...
6
votes
5answers
28k views

How to install latest Scipy version on Raspberry Pi

I currently have Raspbian OS and I tried: sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy python-nose which worked fine but ...
1
vote
1answer
392 views

Error when installing Flexget

Having some problems trying to install flexget. I get the following error when I run the command: pi@rpi:~$ sudo pip install flexget Requirement already satisfied (use --upgrade to upgrade): ...
0
votes
2answers
91 views

Rasp Pi, pip error setup.py egg_info

I am new to pi and I wanted to test it out on a python module for talking to building automation devices. Its called BAC0 From the documentation: https://bac0.readthedocs.io/en/latest/getstarted.html#...
1
vote
3answers
6k views

PIP: Requirement already satisfied: imutils

I am trying to run a home surveillance program using rasp pi 3 model b i have done: sudo apt-get install python-pip python-opencv successfully but somehow stuck below: root@raspberrypi:/home/pi/...
0
votes
0answers
24 views

install pymc3 on raspberry

I would like to install pymc3 on my raspberry pi 3 model b+ for my hobby project. But installing pymc3 by pip took forever and it was never able to finish installing. It there any other way to install ...
4
votes
1answer
3k views

smbus Import Error

I'm trying to use the module 'smbus' on python3. I've downloaded it - when I try to download smbus, it says that smbus is up to date and installed. However, when I try to use it, it says the module is ...
3
votes
1answer
166 views

Installing libraries via pip is taking forever. Raspberry pi 3b+

I tried to install scipy using pip3 install scipy as well as sudo pip3 install scipy and it got stuck at Building wheel for scipy for 45 minutes. Same is the case for cython. What is the fix or it ...
1
vote
3answers
678 views

can't install opencv on my pi

I'm an absolute Raspberry Pi newbie. My intention is to get some camera vision project working for which I need OpenCV3.3's dnn Python module. I've found here a description of how OpenCV can be ...
2
votes
3answers
6k views

Installing cryptography using pip on Raspbian Jessie image

I am trying to get netmiko (which uses paramiko) installed on Raspbian Jessie so that I can script SSH commands from my Pi. It doesn't seem to be that netmiko works out-of-the-box as I had hoped. So ...
4
votes
1answer
1k views

Failed RPi.GPIO installation on OS X

I am creating a server for the Raspberry Pi and I am partially writing the code using OS X. I need the RPi.GPIO module to make my script run, (even if I don't use it). After calling pip3 install RPi....
9
votes
3answers
21k views

How do I install pandas on Raspberry Pi?

I'm trying to install Python Pandas on my Raspi and I'm finding strange errors. ~ $ pip install pandas Downloading/unpacking pandas Downloading pandas-0.13.1.tar.gz (6.1Mb): 6.1Mb downloaded Running ...
4
votes
2answers
7k views

Broken Python PIP install; What is the correct way to fix?

I have an install script that I've been using (and I swear it worked before on another Pi), but whatever I've done, it appears I have a broken install of pip, and I'm not sure how to fix it. I tried ...
1
vote
1answer
66 views

pip install is giving weird errors on a RPI 3B+ with rasbian

If I try to install something using pip it gives me a weird error. Time is set correctly and sudo doesn't change anything. For example I try installing conan pip install conan​ gives an error: pi@...
1
vote
1answer
186 views

Can not install Svgtools. Probably because off SciPy and numpy

I was tring to install PocketVj using this guide from the Github page. I installed all the dependencies using sudo apt-get install... with no problems. Followed by sudo pip install --upgrade pip again ...
0
votes
1answer
5k views

Can't install PyBluez

I have a PI3. I've tried installing pybluez with: pip install pybluez and pip3 install pybluez Both fail with: Command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip-build-...
4
votes
2answers
7k views

Can't install lxml

I'm making a bot for a wiki I'm setting up, and for it I need requests and lxml. However, when I do pip install lxml it gives me: Command /usr/bin/python -c "import setuptools, tokenize;__file__='/...
0
votes
2answers
12k views

pip cannot confirm SSL certificate: SSL module is not available

I am trying to install openCv for Python 3.6 on my Raspberry Pi 3 Model B+, but somehow it won't connect to the python.org website. I have pip installed for 2.7, 3.0, and 3.6 installed, so when I go ...
0
votes
1answer
1k views

Can't install greenlet==dev even knowing greenlet greenlet (0.4.10) is installed

I'm trying to install all the packages needed to use Ajenti on my raspberry pi 2. Originally I simply ran the wget command Ajenti has for automatic quick install. Everything went over smoothly until ...
0
votes
2answers
7k views

Package 'sqlite3' must not be downloaded from pypi

I am quite new to this so these type of errors just leave me blank.. I saw another question in which the answer is, do sudo apt install sqlite3. I tried that and the error message says I need to ...
-1
votes
2answers
41 views

Install libraries from computer

I'm currently searching a tool to install on a Raspi libraries, but from a computer. SSH can be a solution but I'm searching a tool where you can see the installed package and the one that can be ...
1
vote
1answer
465 views

Pip error trying to get gphoto lib

I am trying to install the gphoto2 library for Python on a Raspberry Pi B+ and I get this error: pi@mazePi:~ $ pip install gphoto2 Collecting gphoto2 Downloading https://files.pythonhosted.org/...
1
vote
2answers
11k views

How can I install numpy and pandapower?

How can I install numpy and pandapower on the RASPBIAN JESSIE LITE Minimal image based on Debian Jessie? the one without the GUI. And how can I install Pip and miniconda on it as well?
0
votes
1answer
731 views

Pip3 not installing jupyter

I am having issues with my Raspberry pi not able to install jupyter notebook for python 3.4 when i do try to install jupyter i am getting the following error. sudo pip3 install jupyter ...
3
votes
2answers
6k views

Pip3 install throwing error on raspberry pi 3 Raspbian-Jessie

I am trying to install a python 3 library on a raspberry pi 3 running Raspbian-Jessie. sudo pip3 install LIBRARY However, regardless of what library I try to install, I am getting this error: ...
0
votes
1answer
4k views

Default python version and pip problem

I have installed Python 3.5.5 on my raspberry Pi 3 (Raspbian - jessie) following 2nd answer from this post. Python installed. [EDIT] but the installation folder is located in /home/pi/Python-3.5.5. ...
0
votes
0answers
315 views

.whl is not supported wheel on this platform Raspberrypi(B+)

I am trying to install webrtc for audio processing purpose on raspberrypi(B+). I am using pip 9.0.1 from python 2.7 When I write the following command: pip install ./webrtc*.whl I ...
0
votes
1answer
923 views

Problems in upgrading pip packages

I am having some troubles with pipon the Raspberry. These are the information about the OS: piName@raspberry ~ $ cat /etc/os-release PRETTY_NAME="Raspbian GNU/Linux 7 (wheezy)" NAME="Raspbian GNU/...
1
vote
1answer
938 views

Error while using IMAPClient “ImportError : No module named imapclient”

I have installed all Library as given here Email Notifier StackExchange Still I am getting error as: "File "mail.py", line 1,in, import imapclient ImportError : No module named imapclient" Please ...
1
vote
1answer
3k views

Installing a specific version of pymongo using pip3

Raspi/Linux noob here. Due to compatibility issues with another program, I need to install an older version of pymongo. 3.5.1 to be more specific. I have used pip3 for the pymongo install. So, based ...
2
votes
1answer
2k views

Found a PyPi Package for Opencv-contrib, but can't install using pip

I'm trying to install OpenCV for python with extra modules on my raspberry pi. The OpenCV website has a set of instructions that I have tried with different variations for the past several months. I ...
0
votes
1answer
236 views

PyEphem module won't install

I've been trying to install the pyephem module on my Raspberry Pi 3. It says: "No such file or directory: cdefs.h" I tried installing it with both 'sudo pip install pyephem' and 'sudo pip3 install ...
1
vote
1answer
981 views

pip install flask not working

Raspberry Pi 3 OS - Noobs Default Python Version - 2.7.9. I have also installed Python 3.6 I want to use the Flask Web Framework for a project on my RasPi 3. I have installed the latest version of ...
2
votes
0answers
509 views

Slow pip Raspberry PI 1

i have a issue with slow pip on Raspberry PI 1 on fresh install Raspbian Stretch. When i ran pip freeze it take a long time. pi@raspberrypi:~ $ time pip freeze > /dev/null real 0m43.337s user ...
0
votes
1answer
649 views

How can I download and install Numpy and Pandapower? [duplicate]

How can I Download and install numpy and pandapower on the RASPBIAN JESSIE LITE Minimal image based on Debian Jessie? the one without the GUI. And how can I download and install Pip and miniconda on ...
1
vote
1answer
423 views

filename.whl is not supported wheel on this platform RaspberryPI3

I would like to install PyQt5-5.6-cp35-cp35m-manylinux1_x86_64.whl that I have saved to local drive. I am using: pip 9.0.1 from python3.5/site-packages (python 3.5) when I run: pip3 install PyQt5-5....
0
votes
1answer
1k views

I can't install anything with pip

Every package I try to install using pip, I get this error. I already updated the pip but even so doesn't work my pip version is 9.0.1 Exception: Traceback (most recent call last): File "/usr/...
1
vote
0answers
552 views

Cannot install pip3.5. Pip is configured with locations that require TSL/SSL?

I'm trying to install pip3.5 with python3.5 on raspbian on my raspberry pi, and I can not get it to work for the life of me. I have already installed python 3.5 without problems but I cannot seem to ...
2
votes
1answer
7k views

Error while installing a 'sqlite3' Python package

I have been trying to install several packages on my newly reformatted RPi and came across this error: Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-d1xgrryi/sqlite3 In ...
2
votes
1answer
314 views

Why do I have to cmake opencv?

Places with tutorials to make my RPi run OpenCV and start pattern recognition include the part where I have to be Building OpenCV. http://www.pyimagesearch.com/2016/04/18/install-guide-raspberry-pi-3-...
4
votes
2answers
6k views

pip3 installs to wrong directory

For some reason, pip3 does not install packages to the proper dist-packages directory, at least not the directory I expect. I am trying to install the package cleverwrap currently, but this happens ...
1
vote
0answers
318 views

Change pip from 3.4 to 3.5

Recently, I have installed python3.5 on raspi, while I had 3.4 (by default). So now I have a problem with pip, because it is linked with 3.4 and not 3.5, so whenever I install package, it is done for ...
-1
votes
2answers
12k views

Installing all python modules

I'm going on vacation into a foreign country and I want to take my Pi 2 with me to play a bit, not having a particular project in mind. I may not have Internet access all the time or it may be limited ...
1
vote
0answers
398 views

Unable to install CEC in Virtualenv with Python 3.4

I am trying to install CEC pip install cec but I am unable to do so. I get the following error: (venv) pi@MyPi3:~/my_projects_pi $ pip install cec Collecting cec Using cached cec-0.2.5.tar.gz ...
-1
votes
1answer
502 views

HelloWorld web.py doesn't work

I've seen web.py recommended in some places as a simple python web framework that I could use in my raspberry, so I went ahead and installed it via PIP (sudo pip install web.py). But when I try to ...
0
votes
1answer
32 views

Direct all storage requirement to usb drive

I've mounted a usb drive. I'm attempting to exclusively use this drive for installations and execution of programs. If I pip install and execute programs from the same drive will no space will be ...
1
vote
1answer
357 views

Error while trying to install pubnub using pip

I tried installing pubnub. I went through the website of pubnub and did as it was told on the website. https://www.pubnub.com/blog/2015-07-22-getting-started-with-raspberry-pi-2-and-pubnub-in-python-...
0
votes
1answer
530 views

Error updating oauth2client with pip install --upgrade

I am attempting to update oauth2client by using: pip install --upgrade oauth2client I get the following error message: Cannot fetch index base URL https://pypi.python.org/simple/ Could not find any ...
0
votes
1answer
788 views

pip3.4: command not found

I am trying to install oxygen but getting this error: pi@raspberrypi:~/git/toxcore $ sudo pip3.4 install toxygen sudo: pip3.4: command not found
0
votes
1answer
1k views

Getting multiple errors while Installing Scipy

I'm not able to install Scipy on my Raspberry Pi Model B. My current setup is: Raspberry Pi model B running Raspbian Jessie and 16gb SD card. OpenCV 3.1.0 installed on the raspberry pi using this ...